﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using FarPoint.Win.Chart;
using FarPoint.Win.Chart.Design;
using FarPoint.Win.Spread.Chart;
using FarPoint.Win.Spread.Model;
using FarPoint.Win.Spread.Design;

namespace WindowsFormsApplication2
{
    public partial class Form2 : Form
    {
        DataTable dt = new DataTable();
        public Form2()
        {
            InitializeComponent();
            SQLContent();
            
        }

        public void SQLContent()
        {
            try
            {
                String StrConnection = @"Data Source=.\SQLEXPRESS;Initial Catalog=SpreadChart;Integrated Security=TRUE";

                SqlDataAdapter sda = new SqlDataAdapter(@"select * from Score", StrConnection);

                sda.Fill(dt);

                fpSpread1.Sheets[0].DataSource = dt;
            }
            catch (Exception ex)
            { MessageBox.Show(ex.ToString()); }
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            try
            {
                fpSpread1.DataSource = dt;
                this.fpSpread1.Sheets[0].AddChart(new CellRange(0, 0, 5, 6), typeof(ClusteredBarSeries), 495, 305, 149, 122);
            }
            catch (Exception ex)
            { MessageBox.Show(ex.ToString()); }
        }

        private void chkBoxView3D_CheckedChanged(object sender, EventArgs e)
        {
            this.fpSpread1.Sheets[0].Charts[0].ViewType = this.chkBoxView3D.Checked ? ChartViewType.View3D : ChartViewType.View2D;
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            ChartModel chrtModel;
            ChartViewType viewType;

            ChartType chartType = (ChartType)Enum.Parse(typeof(ChartType), this.comboBox1.Text);
            InsertChart.GetChartModel(chartType, out chrtModel, out viewType);
            SpreadChart spreadChart = this.fpSpread1.Sheets[0].Charts[0];
            spreadChart.ChangeChartType(chrtModel);
            spreadChart.ViewType = viewType;

            this.chkBoxView3D.Checked = viewType == ChartViewType.View3D;
            
            
        }

        public enum Column
        {
            ClusteredColumnChart = 0,
            StackedColumnChart = 1,
            Stacked100ColumnChart = 2,
            HighLowColumnChart = 3,
            ClusteredColumnIn3DChart = 4,
            StackedColumnIn3DChart = 5,
            Stacked100ColumnIn3DChart = 6,
            ColumnIn3DChart = 7,
            HighLowBarIn3DChart = 8,
            HighLowColumnIn3DChart = 9,
            ClusteredCylinderChart = 10,
            StackedCylinderChart = 11,
            Stacked100CylinderChart = 12,
            CylinderIn3DChart = 13,
            HighLowCylinderChart = 14,
            ClusteredFullConeChart = 15,
            StackedFullConeChart = 16,
            Stacked100FullConeChart = 17,
            FullConeIn3DChart = 18,
            HighLowFullConeChart = 19,
            ClusteredFullPyramidChart = 20,
            StackedFullPyramidChart = 21,
            Stacked100FullPyramidChart = 22,
            FullPyramidIn3DChart = 23,
            HighLowFullPyramidChart = 24,

        }
        public enum Line
        {
            LineIn2DChart = 25,
            StackedLineChart = 26,
            Stacked100LineChart = 27,
            LineWithMarkersChart = 28,
            StackedLineWithMarkersChart = 29,
            Stacked100LineWithMarkersChart = 30,
            LineIn3DChart = 31,
        }
        public enum Pie
        {
            PieIn2DChart = 32,
            PieIn3DChart = 33,
            ExplodedPieIn2DChart = 34,
            ExplodedPieIn3DChart = 35,
            
        }
        public enum Bar
        {
            ClusteredBarChart = 36,
            StackedBarChart = 37,
            Stacked100BarChart = 38,
            HighLowBarChart = 39,
            ClusteredBarIn3DChart = 40,
            StackedBarIn3DChart = 41,
            Stacked100BarIn3DChart = 42,
            ClusteredHorizontalCylinderChart = 43,
            StackedHorizontalCylinderChart = 44,
            Stacked100HorizontalCylinderChart = 45,
            HighLowBarCylinderChart = 46,
            ClusteredHorizontalFullConeChart = 47,
            StackedHorizontalFullConeChart = 48,
            Stacked100HorizontalFullConeChart = 49,
            HighLowBarFullConeChart = 50,
            ClusteredHorizontalFullPyramidChart = 51,
            StackedHorizontalFullPyramidChart = 52,
            Stacked100HorizontalFullPyramidChart = 53,
            HighLowBarFullPyramidChart = 54,
        }
        public enum Area
        {
            AreaIn2DChart = 55,
            StackedAreaChart = 56,
            Stacked100AreaChart = 57,
            HighLowAreaChart = 58,
            AreaIn3DChart = 59,
            StackedAreaIn3DChart = 60,
            Stacked100AreaIn3DChart = 61,
            HighLowAreaIn3DChart = 62,
        }
        public enum XY
        {
            XYPointChart = 63,
            XYLineChart = 64,
            XYLineWithMarkerChart = 65,
            
        }
        public enum XYZ
        {
            XYZLineChart = 71,
            XYZPointChart = 72,
            XYZLineWithMarkerChart = 73,
            XYZSurfaceChart = 74,
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            comboBox1.Items.Clear();
            foreach (string str in Enum.GetNames(typeof(Column)))
            {
                comboBox1.Items.Add(str);
            }
            //this.fpSpread1.Sheets[0].AddChart(new CellRange(0, 0, 5, 6), typeof(ClusteredBarSeries), 495, 305, 149, 122);
        }

        private void radioButton2_CheckedChanged(object sender, EventArgs e)
        {
            comboBox1.Items.Clear();
            foreach (string str in Enum.GetNames(typeof(Line)))
            {
                comboBox1.Items.Add(str);
            }
            
        }

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            comboBox1.Items.Clear();
            foreach (string str in Enum.GetNames(typeof(Pie)))
            {
                comboBox1.Items.Add(str);
            }
        }

        private void radioButton4_CheckedChanged(object sender, EventArgs e)
        {
            comboBox1.Items.Clear();
            foreach (string str in Enum.GetNames(typeof(Bar)))
            {
                comboBox1.Items.Add(str);
            }
            try
            {
                ((YPlotArea)this.fpSpread1.Sheets[0].Charts[0].Model.PlotAreas[0]).Vertical = false;
            }
            catch { }
        }

        private void radioButton5_CheckedChanged(object sender, EventArgs e)
        {
            comboBox1.Items.Clear();
            foreach (string str in Enum.GetNames(typeof(Area)))
            {
                comboBox1.Items.Add(str);
            }
        }

        private void radioButton6_CheckedChanged(object sender, EventArgs e)
        {
            comboBox1.Items.Clear();
            comboBox1.Items.Add("DoughnutChart");
            comboBox1.Items.Add("ExplodedDoughnutChart");
        }

        private void radioButton10_CheckedChanged(object sender, EventArgs e)
        {
            comboBox1.Items.Clear();
            foreach (string str in Enum.GetNames(typeof(XY)))
            {
                comboBox1.Items.Add(str);
            }
        }

        private void radioButton9_CheckedChanged(object sender, EventArgs e)
        {
            comboBox1.Items.Clear();
            foreach (string str in Enum.GetNames(typeof(XYZ)))
            {
                comboBox1.Items.Add(str);
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            FpSpreadDesigner fsd = new FpSpreadDesigner();
            fsd.ShowDialog(fpSpread1);
        }
            
        
    }
}
